Get details for a single library
curl --request GET \
--url https://demo.komga.org/api/v1/libraries/{libraryId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/libraries/{libraryId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/libraries/{libraryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/libraries/{libraryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/libraries/{libraryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/libraries/{libraryId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/libraries/{libraryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"analyzeDimensions": true,
"convertToCbz": true,
"emptyTrashAfterScan": true,
"hashFiles": true,
"hashKoreader": true,
"hashPages": true,
"id": "<string>",
"importBarcodeIsbn": true,
"importComicInfoBook": true,
"importComicInfoCollection": true,
"importComicInfoReadList": true,
"importComicInfoSeries": true,
"importComicInfoSeriesAppendVolume": true,
"importEpubBook": true,
"importEpubSeries": true,
"importLocalArtwork": true,
"importMylarSeries": true,
"name": "<string>",
"repairExtensions": true,
"root": "<string>",
"scanCbx": true,
"scanDirectoryExclusions": [
"<string>"
],
"scanEpub": true,
"scanForceModifiedTime": true,
"scanInterval": "DISABLED",
"scanOnStartup": true,
"scanPdf": true,
"seriesCover": "FIRST",
"unavailable": true,
"oneshotsDirectory": "<string>"
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Libraries
Get details for a single library
GET
/
api
/
v1
/
libraries
/
{libraryId}
Get details for a single library
curl --request GET \
--url https://demo.komga.org/api/v1/libraries/{libraryId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/libraries/{libraryId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/libraries/{libraryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/libraries/{libraryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/libraries/{libraryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/libraries/{libraryId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/libraries/{libraryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"analyzeDimensions": true,
"convertToCbz": true,
"emptyTrashAfterScan": true,
"hashFiles": true,
"hashKoreader": true,
"hashPages": true,
"id": "<string>",
"importBarcodeIsbn": true,
"importComicInfoBook": true,
"importComicInfoCollection": true,
"importComicInfoReadList": true,
"importComicInfoSeries": true,
"importComicInfoSeriesAppendVolume": true,
"importEpubBook": true,
"importEpubSeries": true,
"importLocalArtwork": true,
"importMylarSeries": true,
"name": "<string>",
"repairExtensions": true,
"root": "<string>",
"scanCbx": true,
"scanDirectoryExclusions": [
"<string>"
],
"scanEpub": true,
"scanForceModifiedTime": true,
"scanInterval": "DISABLED",
"scanOnStartup": true,
"scanPdf": true,
"seriesCover": "FIRST",
"unavailable": true,
"oneshotsDirectory": "<string>"
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Response
OK
Available options:
DISABLED, HOURLY, EVERY_6H, EVERY_12H, DAILY, WEEKLY Available options:
FIRST, FIRST_UNREAD_OR_FIRST, FIRST_UNREAD_OR_LAST, LAST